Bug 525412 - Review Request: mediaproxy - NAT traversal solution for compatible SIP-routers
Review Request: mediaproxy - NAT traversal solution for compatible SIP-routers
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-09-24 06:08 EDT by Peter Lemenkov
Modified: 2016-03-14 07:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-22 05:19:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pahan: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2009-09-24 06:08:18 EDT
Spec URL: http://peter.fedorapeople.org/mediaproxy.spec
SRPM URL: http://peter.fedorapeople.org/mediaproxy-2.3.5-1.fc11.src.rpm

Description: MediaProxy is a distributed far end NAT traversal solution for media streams
of SIP calls. MediaProxy has a dispatcher running on the same host with the 
SIP-proxy and multiple media relays distributed over the network.
The media relays work by manipulating conntrack rules in the Linux kernel to
create paths that forward the media streams between the 2 SIP user agents
participating in the call. Because it avoids to copy stream data from kernel
space to user space and back to kernel space like other implementations,
MediaProxy can handle much more media streams at a time, limited only to the 
network interface bandwidth and the Linux kernel network layer processing
speed.

MediaProxy features secure encrypted communication between the dispatcher
and the relays, advanced accounting capabilities using multiple backends,
support for any combination of audio and video streams, realtime statistics,
T.38 fax support as well as automatic load balancing and redundancy among
the active relays.


Koji scratchbuild for F-11
http://koji.fedoraproject.org/koji/taskinfo?taskID=1703283
Comment 2 Jan ONDREJ 2010-01-10 05:44:13 EST
mediaproxy-2.3.10 is available.

Your package looks good, I will make a review after update.

When trying to start using your init script, it fails:
[root@voip ~]# /etc/init.d/mediaproxy-dispatcher start
Starting mediaproxy-dispatcher:                            [FAILED]

Looks like there is no -p parameter for media-dispatcher program. Use --pid=FILENAME instead.

Now trying your package on a production system.
Comment 3 Jan ONDREJ 2010-01-10 05:58:24 EST
Hmm, looks like I can't use mediaproxy >= 2.0 with openser, only with opensips.
I should upgrade in future.
Comment 4 Pavel Alexeev 2010-08-24 07:15:09 EDT
Legend: + - Ok.
- - Error.
+/- - It item acceptable, but I strongly recommend enhancement.
= - N/A.
MUST Items

[-] MUST: rpmlint must be run on every package. The output should be posted in the review.
$ rpmlint *.rpm *.spec
mediaproxy.src: W: spelling-error %description -l en_US conntrack -> conn track, conn-track, contract
mediaproxy.src: W: spelling-error %description -l en_US backends -> backbends, back ends, back-ends
mediaproxy.src: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
mediaproxy.src: W: invalid-url Source0: http://download.ag-projects.com/MediaProxy/mediaproxy-2.3.8.tar.gz HTTP Error 404: Not Found
mediaproxy.i686: W: spelling-error %description -l en_US conntrack -> conn track, conn-track, contract
mediaproxy.i686: W: spelling-error %description -l en_US backends -> backbends, back ends, back-ends
mediaproxy.i686: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
mediaproxy.i686: W: private-shared-object-provides /usr/lib/python2.6/site-packages/mediaproxy/interfaces/system/_conntrack.so _conntrack.so
mediaproxy-web-interface.i686: W: no-documentation
mediaproxy.spec: W: invalid-url Source0: http://download.ag-projects.com/MediaProxy/mediaproxy-2.3.8.tar.gz HTTP Error 404: Not Found
4 packages and 1 specfiles checked; 0 errors, 10 warnings.

Spelling errors may be ignored. URL must be fixed (I think version update required).

private-shared-object-provides also bug - https://bugzilla.redhat.com/show_bug.cgi?id=619482 and can be ignored.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[-] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

Source unreachable.

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[=] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[=] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[=] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[=] MUST: Packages must NOT bundle copies of system libraries.
[=] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[-] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.


%{python_sitearch}/%{name}
must be owned (replace %{python_sitearch}/%{name}/ to %{python_sitearch}/%{name})

[+/-] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.

I only suggest do not list all files in web directory like
%dir %{_datadir}/%{name}/web
%{_datadir}/%{name}/web/images/30/Nokia810.png
%{_datadir}/%{name}/web/images/30/aastra.png
%{_datadir}/%{name}/web/images/30/asterisk.png
%{_datadir}/%{name}/web/images/30/audiocodes-mp124.png
%{_datadir}/%{name}/web/images/30/avm-fritzbox-wlan.png
%{_datadir}/%{name}/web/images/30/avm-fritzbox-wlan2.png
...

instead add full directory:
%{_datadir}/%{name}/web

[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[-] MUST: Each package must consistently use macros.
You use %{__install} and %{__python}, but also plain rm. Please choose one form for all commands.

[+] MUST: The package must contain code, or permissable content.
[=] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[=] MUST: Header files must be in a -devel package.
[=] MUST: Static libraries must be in a -static package.
[=] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[=] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[=] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[+] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[=] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[=] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[=] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[-] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.

Services even can't start:
# service mediaproxy-relay restart
Shutting down mediaproxy-relay: already stopped            [WARNING]
Starting mediaproxy-relay:                                 [FAILED]
# service mediaproxy-dispatcher restart 
Shutting down mediaproxy-dispatcher: already stopped       [WARNING]
Starting mediaproxy-dispatcher:                            [FAILED]

[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[=] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[=] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.

Some additional things.
Why you explicit require httpd? Can it work under other web server and requirement webserver is enough?
Comment 5 Pavel Alexeev 2012-03-18 04:10:08 EDT
ping?
Comment 6 Christopher Meng 2013-11-14 05:37:11 EST
ping!
Comment 7 Pavel Alexeev 2013-11-22 05:17:57 EST
Peter, do you plan continue? I'll drop assignment as reviewer in next week.
Comment 8 Peter Lemenkov 2013-11-22 05:19:55 EST
(In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #7)
> Peter, do you plan continue? I'll drop assignment as reviewer in next week.

Nope, sorry - I am no longer interested in this (I have my own solution). So I'm going to close it.

Note You need to log in before you can comment on or make changes to this bug.